Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
nicocorporation
Posts: 2
Registered: ‎04-23-2009
My Device: Not Specified

[BLACKBERRY9000, 8820, 8707] impossible to install signed midlet

Hello,

 

Excuse me for my English but I'm a French developer ^^. I searched on Google, Blackberry documentation and in this forum, but I didn't find any solution.

 

I have a problem to install signed midlets on Blackberry phone (I tried on Blackberry9000Bold, 8820 and 8707 with the same failed result).

I don't use any cod library in my application, I have to sign midlet only to avoid having the message "Your midlet is untrusted" when the customer will download the application on his phone.

 

I have two certificates (Verisign and Thawte) and these certificates are supported by these Blackberry phones, nevertheless I have a 909 error ("Application authentication failure") when I tried to install the midlet. I have not this problem on others phones (Nokia N96, SonyEricsson S500i, ...). I read in Blackberry documentation that it is possible to sign a midlet with the correct certificate.

 

I download application using OTA with jad and jar files, the error appears when the jad is read and only when the midlet is signed (the unsigned version is correctly downloaded). It is not the first I meet this problem, but this time I must find a solution ^^.

 

My Blackberry phones are branded Vodafone, is it possible that the operator blocks certificates?

Do somebody know a solution or know this problem?

Do a geotrust certificate work better than Thawte or Verisign?  

 

Thanks a lot!

 

NiCO

Please use plain text.
Developer
BBDeveloper
Posts: 3,951
Registered: ‎07-15-2008
My Device: Not Specified

Re: [BLACKBERRY9000, 8820, 8707] impossible to install signed midlet

There is a similar discussion in below mentioned thread. Not sure the problem solved or not the status of thread is still open.Give a try you may getsome clues.

 

http://supportforums.blackberry.com/rim/board/message?board.id=java_dev&thread.id=1950&view=by_date_...


Use Search. "Accept Solution" If the problem is resolved.
Please use plain text.
New Developer
nicocorporation
Posts: 2
Registered: ‎04-23-2009
My Device: Not Specified

Re: [BLACKBERRY9000, 8820, 8707] impossible to install signed midlet

Thanks for your anwser.

I tried this morning all the given solutions in the post but nothing works. I tried with all the installed browsers and browser configurations on the phone but the issue is the same...909 authentication error.

 

I compared the Verisign certificate installed on the Blackberry and the Nokia N96, they are exactly the same.

Do somebody have an idea to fix this bug? 

Do somebody know where I could find this information?

Or is it possible that install a signed jad/jar midlet is impossible on Blackberry devices?

 

Thanks for your answers,

 

NiCO 

Please use plain text.
New Developer
pjreez
Posts: 9
Registered: ‎07-22-2009
My Device: Not Specified

Re: [BLACKBERRY9000, 8820, 8707] impossible to install signed midlet

Hi Nico,

 

Did you find a solution to the installation problem with signed midlets? I'm having the very same problem and the same error message with a BlackBerry Bold 9000.

 

Thanks.

Please use plain text.
New Contributor
jack123
Posts: 2
Registered: ‎06-25-2010
My Device: 9700 bold

Re: [BLACKBERRY9000, 8820, 8707] impossible to install signed midlet

Please use plain text.